-- Turbine Imports
import "Turbine";
import "Turbine.Gameplay";
import "Turbine.UI";
import "Turbine.UI.Lotro";

import "RadicusPlugins.SocialGuy.IconButton";
import "RadicusPlugins.SocialGuy.Emotes";
import "RadicusPlugins.SocialGuy.Window";

MaxEmotes = 0;
for k,v in pairs (_EMOTES) do
	MaxEmotes = MaxEmotes + 1;
end

Turbine.Shell.WriteLine("SocialGuy ".. version.." Ready To Party... ".. MaxEmotes .. " Emotes Loaded! Sweet!");

Turbine.Plugin.Unload = function (sender, args)
	local Settings={}
	Settings["WindState"]=wSocialGuy:IsVisible();
	Settings["IconPosX"]=IconButton:GetLeft();
	Settings["IconPosY"]=IconButton:GetTop();
	Settings["WindPosX"]=wSocialGuy:GetLeft();
	Settings["WindPosY"]=wSocialGuy:GetTop();
	Turbine.PluginData.Save(Turbine.DataScope.Character, "SocialGuySettings", Settings);
end

-- HidePanel on F12
local HidePanel = false;
Panel = wSocialGuy;
Panel:SetWantsKeyEvents(true);
Panel.KeyDown = function(sender, args)
	if (args.Action == 268435635) then
		if HidePanel == false then
			HidePanel = true;
			IconButton:SetVisible(false);
			if Panel:IsVisible() == true then
				PanelVisible = true;
				Panel:SetVisible(false);
			else
				PanelVisible = false;
			end
		else
			HidePanel = false;
			IconButton:SetVisible(true);
			if PanelVisible == true then
				Panel:SetVisible(true);
			end
		end
	end
end
